using System;

namespace Server.Items
{
	public class TalentScroll : Item
	{
		[Constructable]
		public TalentScroll() : this( 1 )
		{
		}

		[Constructable]
		public TalentScroll( int amount ) : base( 8012 )
		{
			Name = "talentovy svitek";
         Weight = 1.0;
			Stackable = true;
			Amount = amount;
			Hue = 2094;
		}

		public TalentScroll( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}